﻿namespace Brizco.Common.Models.Entity;
public abstract class ApiEntity : IApiEntity
{
    [Key]
    public Guid Id { get; set; }

    [Display(Name = "تاریخ حذف")]
    public DateTime RemovedAt { get; set; }

    [Display(Name = "تاریخ ساخت")]
    public DateTime CreatedAt { get; set; }

    [Display(Name = "ساخته شده توسط")]
    public string CreatedBy { get; set; } = string.Empty;

    [Display(Name = "حذف شده")]
    public bool IsRemoved { get; set; }
    [Display(Name = "حذف شده توسط")]
    public string RemovedBy { get; set; } = string.Empty;
    [Display(Name = "اخرین تغییر در")]
    public DateTime ModifiedAt { get; set; }

    [Display(Name = "اخرین تغییر توسط")]
    public string ModifiedBy { get; set; } = string.Empty;


    [NotMapped]
    public PersianDateTime CreationPersianDate => new PersianDateTime(CreatedAt);
}
