﻿using TaskStatus = Brizco.Domain.Enums.TaskStatus;

namespace Brizco.Domain.Entities;
public class Task : ApiEntity
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Detail { get; set; } = string.Empty;
    public bool IsRelatedToShift { get; set; }
    public bool IsRelatedToRole { get; set; }
    public bool IsRelatedToPerson { get; set; }
    public TaskStatus Status { get; set; }
    public bool IsDisposable { get; set; }
    public DateTime SetFor { get; set; }
    public bool HasDisposed { get; set; }
    public int Amount { get; set; }
    public PurchaseAmountType AmountType { get; set; }

    public virtual ICollection<TaskUser>? TaskUsers { get; set; }
    public virtual ICollection<TaskShift>? TaskShifts { get; set; }
    public virtual ICollection<TaskRole>? TaskRoles { get; set; }

}
